Bug 1876961 - Undiagnosed panic detected in openshift-image-registry_cluster-image-registry-operator pod
Summary: Undiagnosed panic detected in openshift-image-registry_cluster-image-registry...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.6.0
Assignee: Oleg Bulatov
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-08 15:15 UTC by Alberto
Modified: 2020-09-11 07:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 605 None closed Bug 1876961: Fix "slice index out of range" 2020-09-15 21:23:51 UTC

Description Alberto 2020-09-08 15:15:55 UTC
This bug was initially created as a copy of Bug #1875303

I am copying this bug because: 

Description of problem:

pods/openshift-image-registry_cluster-image-registry-operator-7bfc8d696c-qw529_cluster-image-registry-operator_previous.log.gz:E0906 05:56:27.567507       1 runtime.go:76] Observed a panic: reflect: slice index out of range
pods/openshift-image-registry_cluster-image-registry-operator-7bfc8d696c-qw529_cluster-image-registry-operator_previous.log.gz:E0906 05:56:27.567785       1 runtime.go:76] Observed a panic: reflect: slice index out of range

Seen in https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/promote-release-openshift-machine-os-content-e2e-aws-4.6/1302480815363461120

This is effectively failing the promotion job, so setting severity urgent.

Related https://bugzilla.redhat.com/show_bug.cgi?id=1875038

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 XiuJuan Wang 2020-09-11 07:51:18 UTC
Below shows test is passed successfully, marking as verified 
https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/promote-release-openshift-machine-os-content-e2e-aws-4.6/1304084325003694080/
And 'Undiagnosed panic detected in pod' test unit in https://testgrid.k8s.io/redhat-openshift-ocp-release-4.6-blocking#release-openshift-origin-installer-e2e-aws-serial-4.6 are all passed for image-registry operaotr after fix merged


Note You need to log in before you can comment on or make changes to this bug.